<?php
/**
* The options/admin control panel for WPopac 
*
* This file is released under the GNU Public License
* @author Casey Bisson <casey.bisson@gmail.com> 
* @version 0.1 - Oct 21 2006
*/

global $wpdb, $wp_rewrite;

$opts = get_settings('scrib');
//$opts = array();

if (isset($_POST['submit'])) {
	// Process option updates
	foreach($_POST as $name => $value) {
		$opts[$name] = $value;
	}

	unset($opts['submit']);

	$opts['browse_url'] = get_permalink($opts['browse_id']) . '/';
	$opts['browse_name'] = trim(substr(get_page_uri($opts['browse_id']), strrpos(get_page_uri($opts['browse_id']), '/')), '/');

	$opts['site_url'] = get_settings('siteurl') . '/';

print_r($opts);

	update_option('scrib', $opts);
	echo '<div class="updated"><p>'.__('Options updated.', 'Scriblio').'</p></div>';
}



?>
<div class="wrap">
	<form method="post">
		<h2><?php _e('Scriblio Options', 'Scriblio'); ?></h2>
		<fieldset>
			<legend><?php _e('Behavior', 'Scriblio'); ?></legend>
			<table width="100%" cellspacing="2" cellpadding="5" class="editform">
				<tr>
					<th scope="row"><?php _e('Browse base', 'Scriblio'); ?></th>
					<td>
						<select id="browse_id" name="browse_id"><option value="0"><?php _e('Main Page (no parent)'); ?></option><?php parent_dropdown($opts['browse_id']); ?></select>
					</td>
				</tr>
				<tr>
					<th scope="row"><?php _e('Searchable Facets', 'Scriblio'); ?></th>
					<td>
<?php echo implode(' &middot; ', $this->data_facets(TRUE)); ?>
					</td>
				</tr>
			</table>
			<div class="submit"><input type="submit" name="submit" value="<?php _e('Update Options', 'Scriblio'); ?>" /></div>
		</fieldset>
	</form>
	<p><a href=""><?php _e('Scriblio Documentation', 'Scriblio'); ?></a></p>
</div>

<div class="wrap">
	<h2><?php _e('Commands', 'Scriblio'); ?></h2>
	<iframe src="<?php echo get_settings('siteurl') .'/'. PLUGINDIR .'/scriblio/scriblio_admin_commands.php'; ?>" title="Scriblio Commands" frameborder="0"  width="100%" height="30px" scrolling='no'></iframe>
</div>

<div class="wrap">
	<h2><?php _e('Harvest Data', 'Scriblio'); ?></h2>
	<iframe src="<?php echo get_settings('siteurl') .'/'. PLUGINDIR .'/scriblio/import/'; ?>" title="Scriblio Harvest" frameborder="0"  width="100%" height="400px" scrolling='yes'></iframe>
</div>



<?php
//echo '<pre>';


if (function_exists('scrib_cal_update'))
	scrib_cal_update();

if (function_exists('scrib_rsscachekill'))
	scrib_rsscachekill();

//$this->buildsearchtables();

?>
